env.h File Reference

Homebrew environment information. More...

Go to the source code of this file.

## Enumerations

enum | { RUNFLAG_APTWORKAROUND = BIT(0) , RUNFLAG_APTREINIT = BIT(1) , RUNFLAG_APTCHAINLOAD = BIT(2) }
| System run-flags. More...

## Functions

static bool | envIsHomebrew (void)
| Gets whether the application was launched from a homebrew environment. More...
Handle | envGetHandle (const char *name)
| Retrieves a handle from the environment handle list. More...
static u32 | envGetAptAppId (void)
| Gets the environment-recommended app ID to use with APT. More...
static u32 | envGetHeapSize (void)
| Gets the size of the application heap. More...
static u32 | envGetLinearHeapSize (void)
| Gets the size of the linear heap. More...
static const char * | envGetSystemArgList (void)
| Gets the environment argument list. More...
static u32 | envGetSystemRunFlags (void)
| Gets the environment run flags. More...

## Detailed Description

Homebrew environment information.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

System run-flags.

Enumerator
RUNFLAG_APTWORKAROUND | Use APT workaround.
RUNFLAG_APTREINIT | Reinitialize APT.
RUNFLAG_APTCHAINLOAD | Chainload APT on return.

## Function Documentation

## envGetAptAppId()

static u32 envGetAptAppId | ( | void |  | ) |

inlinestatic

Gets the environment-recommended app ID to use with APT.

Returns
  The APT app ID.

## envGetHandle()

Handle envGetHandle | ( | const char * | name | ) |

Retrieves a handle from the environment handle list.

Parameters

  name | Name of the handle.

Returns
  The retrieved handle.

## envGetHeapSize()

static u32 envGetHeapSize | ( | void |  | ) |

inlinestatic

Gets the size of the application heap.

Returns
  The application heap size.

## envGetLinearHeapSize()

static u32 envGetLinearHeapSize | ( | void |  | ) |

inlinestatic

Gets the size of the linear heap.

Returns
  The linear heap size.

## envGetSystemArgList()

static const char* envGetSystemArgList | ( | void |  | ) |

inlinestatic

Gets the environment argument list.

Returns
  The argument list.

## envGetSystemRunFlags()

static u32 envGetSystemRunFlags | ( | void |  | ) |

inlinestatic

Gets the environment run flags.

Returns
  The run flags.

## envIsHomebrew()

static bool envIsHomebrew | ( | void |  | ) |

inlinestatic

Gets whether the application was launched from a homebrew environment.

Returns
  Whether the application was launched from a homebrew environment.